QGIS Application - Bug report #5274
QGIS rebuild really necessary for new GRASS release?
2012-03-31 01:48 PM - Volker Fréhlich

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: upstream
Crashes QGIS or corrupls data: Copied to github as #: 14999
Description

| shipped a version of QGIS, that was built using GRASS 6.4.1. After updating to GRASS 6.4.2 without rebuilding QGIS, this error showed
up:

"Incompatible library version for module. You need to rebuild GRASS or untangle
multiple installations."

This message stems from GRASS' G_gisinit function, defined in lib/gis/gisinit.c.

| wonder if the rebuild is really necessary, and, if not, the situation could be improved. | assume there are no ABI incompatibilities between
6.4.1 and 6.4.2.

https://bugzilla.redhat.com/show_bug.cgi?id=806442

Related issues:
Duplicates QGIS Application - Bug report # 4392: GRASS-6.4.1: Incompatible li... Closed 2011-10-16

History

#1 - 2012-03-31 02:15 PM - Juirgen Fischer
- Resolution set to upstream

The GRASS library checks itself. It probably has good reason not to trust its own ABI.

#2 - 2012-04-06 01:00 AM - Radim Blazek

Jef is right. We cannot get around it without some terrible hack, like checking version of installed GRASS and then calling G__ gisinit() with that version, or
calling gisinit() directly.

It checks svn revision number not release version numbers. It seems that GRASS continues to follow its strategy "make life harder for anyone trying to use
the GRASS libraries for anything except GRASS modules" (http:/trac.osgeo.org/grass/ticket/869#comment:1)

To find the revision of GRASS you need, run

strings libqgisgrass.so | grep Revision

it should print something like

$Revision: 37101 $
https://bugzilla.redhat.com/show_bug.cgi?id=806442
http://trac.osgeo.org/grass/ticket/869#comment:1

which is the revision of GRASS you need. To check GRASS lib version, use the same

strings libgrass_gis.so | grep Revision

#3 - 2012-04-06 01:26 PM - Volker Frohlich

Thank you for clarifying further. | guess we can close this ticket.

#4 - 2012-04-16 06:57 AM - Jiirgen Fischer
- Status changed from Open to Closed
